# Interface methods for submodule: GrayscaleFunctionErodeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import KernelImageFilterProxy as _KernelImageFilterProxy


# Interface methods for class: GrayscaleFunctionErodeImageFilter
class GrayscaleFunctionErodeImageFilterProxy(_KernelImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def OverrideBoundaryCondition(self, i) -> None:
		""""""
		...

	def ResetBoundaryCondition(self) -> None:
		""""""
		...

	def GetBoundaryCondition(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

